Subject: Re: [PATCH RFC 6/6] send-email: Remove horrible mix of tabs and spaces

From: Andreas Ericsson <[email-masked]>
Date: Wed, 08 Apr 2009 00:10:37 +0200

Jeff King wrote:
> On Tue, Apr 07, 2009 at 04:42:36PM -0500, Michael Witten wrote:
> 
>> I'll have to give that a try. However, I've been entertaining the idea
>> of rewriting the whole thing anyway; it's in need of much more than
>> reformatting.
> 
> Just my two cents, but if you are considering re-writing send-email, I
> would suggest two things:
> 
>   1. Make much heavier use of existing CPAN libraries. A lot of the ugly
>      code is trying to handle corner cases in rfc2822 and mime parsing
>      and generation. And I would not be surprised if there were still
>      bugs in that ugly code.
> 
>   2. Make a new command to compete with send-email instead of using the
>      same name. This means that people who are really put off by
>      CPAN dependencies from (1) above won't be negatively impacted. And
>      you can drop any historical interface warts if you want to.
> 

3. Make it capable of sending email directly from commits rather than
   than having to generate them as files first. For bonus-points, use
   git sequencer or some other "git rebase -i"-esque mangling thing
   first, with capabilities of adding a cover-letter for patch-series.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.